<?php

declare(strict_types=1);

namespace App\Repository;

use App\Entity\DrinkType;
use Doctrine\ORM\EntityManagerInterface;

/**
 * @extends AbstractRepository<DrinkType>
 */
class DrinkTypeRepository extends AbstractRepository
{
    public function __construct(
        EntityManagerInterface $entityManager
    ) {
        parent::__construct($entityManager, $entityManager->getClassMetadata(DrinkType::class));
    }
}
