<?php

declare(strict_types=1);

namespace App\Enum;

/**
 * Enum for system setting keys
 */
enum SystemSettingKey: string
{
    /**
     * @deprecated Use STOCK_ADJUSTMENT_LOOKBACK_ORDERS instead
     */
    case STOCK_ADJUSTMENT_LOOKBACK = 'stock_adjustment_lookback';
    case STOCK_ADJUSTMENT_LOOKBACK_ORDERS = 'stock_adjustment_lookback_orders';
    case STOCK_ADJUSTMENT_MAGNITUDE = 'stock_adjustment_magnitude';
    case STOCK_ADJUSTMENT_THRESHOLD = 'stock_adjustment_threshold';
    case LOW_STOCK_THRESHOLD = 'low_stock_threshold';
    case CRITICAL_STOCK_THRESHOLD = 'critical_stock_threshold';
    case DEFAULT_DESIRED_STOCK = 'default_desired_stock';
    case SYSTEM_NAME = 'system_name';
    case ENABLE_AUTO_ADJUSTMENT = 'enable_auto_adjustment';
    case SHOW_LOW_STOCK_ALERTS = 'show_low_stock_alerts';
    case SHOW_QUICK_UPDATE_FORM = 'show_quick_update_form';
    case ITEMS_PER_PAGE = 'items_per_page';
}