<?php

declare(strict_types=1);

namespace App;

final readonly class Settings
{
    public function __construct(
        public bool $isTestMode = false,
        public bool $isDevMode = false,
        public string $cacheDir = __DIR__ . '/../var/cache'
    ) {}
}
